<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_header"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_header_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="70dp"
        android:includeFontPadding="false"
        android:text="欢迎使用酷乐秀"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_26"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <TextView
        android:id="@+id/tv_set_nickname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:layout_marginTop="35dp"
        android:includeFontPadding="false"
        android:text="设置昵称"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_header_title" />


    <EditText
        android:id="@+id/et_nickname"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_line_height"
        android:layout_marginStart="35dp"
        android:layout_marginEnd="35dp"
        android:background="@null"
        android:hint="请设置您的昵称"
        android:inputType="text"
        android:maxLength="12"
        android:textColorHint="@color/color_ffc1c1c1"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_set_nickname" />

    <View
        android:id="@+id/view_nickname_divide"
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="3dp"
        android:background="@color/divide_color"
        app:layout_constraintLeft_toLeftOf="@+id/et_nickname"
        app:layout_constraintRight_toRightOf="@+id/et_nickname"
        app:layout_constraintTop_toBottomOf="@+id/et_nickname" />

    <TextView
        android:visibility="gone"
        android:layout_marginStart="35dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_nickname_divide"
        android:id="@+id/tv_modify_config"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        android:layout_marginTop="10dp"
        android:text="每隔3个月可修改一次"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:layout_marginTop="16dp"
        android:id="@+id/tv_sex_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:includeFontPadding="false"
        android:text="请设置性别"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_modify_config" />

    <TextView
        android:id="@+id/tv_set_sex"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginStart="35dp"
        android:layout_marginEnd="35dp"
        android:background="@null"
        android:gravity="center_vertical"
        android:hint="请设置您的性别"
        android:inputType="text"
        android:textColor="@color/color_ffc1c1c1"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_sex_title" />

    <View
        android:background="@color/color_f0f0f0"
        app:layout_constraintBottom_toBottomOf="@+id/tv_set_sex"
        android:layout_marginEnd="35dp"
        android:layout_marginStart="35dp"
        android:layout_width="match_parent"
        android:layout_height="1px"/>

    <TextView
        app:layout_goneMarginTop="71dp"
        android:layout_marginTop="16dp"
        android:id="@+id/tv_phone_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="35dp"
        android:includeFontPadding="false"
        android:text="@string/please_input_pwd_str_title"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_set_sex" />


    <EditText
        android:id="@+id/et_pwd"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_line_height"
        android:layout_marginStart="35dp"
        android:layout_marginEnd="35dp"
        android:background="@null"
        android:digits="@string/input_support"
        android:hint="@string/please_input_pwd2"
        android:inputType="textPassword"
        android:textColorHint="@color/color_ffc1c1c1"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_phone_num" />

    <View
        android:id="@+id/view_phone_divide"
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="3dp"
        android:background="@color/divide_color"
        app:layout_constraintLeft_toLeftOf="@+id/et_pwd"
        app:layout_constraintRight_toRightOf="@+id/et_pwd"
        app:layout_constraintTop_toBottomOf="@+id/et_pwd" />

    <TextView
        android:id="@+id/tv_password_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:includeFontPadding="false"
        android:text="@string/please_input_again_title"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="@+id/tv_phone_num"
        app:layout_constraintTop_toBottomOf="@+id/view_phone_divide" />

    <EditText
        android:id="@+id/et_pwd_again"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_line_height"
        android:background="@null"
        android:digits="@string/input_support"
        android:drawablePadding="@dimen/common_padding_small"
        android:hint="@string/please_input_pwd3"
        android:inputType="textPassword"
        android:paddingLeft="@dimen/common_padding_small"
        android:textColorHint="@color/color_ffc1c1c1"
        android:textSize="@dimen/sp_16"
        app:layout_constraintLeft_toLeftOf="@+id/et_pwd"
        app:layout_constraintRight_toRightOf="@+id/et_pwd"
        app:layout_constraintTop_toBottomOf="@+id/tv_password_num" />

    <View
        android:id="@+id/view_pw_divide"
        android:layout_width="0dp"
        android:layout_height="1px"
        android:layout_marginTop="3dp"
        android:background="@color/divide_color"
        app:layout_constraintLeft_toLeftOf="@+id/et_pwd_again"
        app:layout_constraintRight_toRightOf="@+id/et_pwd_again"
        app:layout_constraintTop_toBottomOf="@+id/et_pwd_again" />

    <TextView
        android:id="@+id/tv_confirm"
        android:layout_width="0dp"
        android:layout_height="50dp"
        android:layout_marginStart="35dp"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="35dp"
        android:background="@drawable/shape_login_bt_bg"
        android:gravity="center"
        android:text="@string/login_str"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_17"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_pw_divide" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scaleType="fitXY"
        android:src="@drawable/bg_login_bottom"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>
